package com.ssj.service.conch.teacher.request.teacherorg;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import com.ssj.service.kmt.request.WrongQuestionRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author yrf
 * @date 2019/1/21 14:09
 */
public class CorrectRequest extends BaseRequest {

    private static final long serialVersionUID = -4309321135596007039L;

    @ApiModelProperty(name = "homeworkId", value = "作业id", required = true)
    private String homeworkId;

    @ApiModelProperty(name = "homeworkPictureIdList", value = "作业图片id列表", required = true)
    private List<String> homeworkPictureIdList;

    @ApiModelProperty(name = "correctedPictureUrlList", value = "批改后的作业图片的路径")
    private List<CorrectedPictureUrlRequest> correctedPictureUrlList;

    @ApiModelProperty(name = "wrongQuestionList", value = "答错的题目列表")
    private List<WrongQuestionRequest> wrongQuestionList;

    @ApiModelProperty(name = "rightQuestionIdList", value = "对的题目id")
    private List<String> rightQuestionIdList;

    @ApiModelProperty(name = "wrongHwoDetailIds", value = "错题知识点id")
    private List<String> wrongHowDetailIds;

    @ApiModelProperty(name = "knowledgeVersion", value = "错题知识点版本，1北师大版  2人教版   3沪教版  7朗文版   8人教版(英语)  10外研版")
    private Integer knowledgeVersion;

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public List<String> getHomeworkPictureIdList() {
        return homeworkPictureIdList;
    }

    public void setHomeworkPictureIdList(List<String> homeworkPictureIdList) {
        this.homeworkPictureIdList = homeworkPictureIdList;
    }

    public List<CorrectedPictureUrlRequest> getCorrectedPictureUrlList() {
        return correctedPictureUrlList;
    }

    public void setCorrectedPictureUrlList(List<CorrectedPictureUrlRequest> correctedPictureUrlList) {
        this.correctedPictureUrlList = correctedPictureUrlList;
    }

    public List<WrongQuestionRequest> getWrongQuestionList() {
        return wrongQuestionList;
    }

    public void setWrongQuestionList(List<WrongQuestionRequest> wrongQuestionList) {
        this.wrongQuestionList = wrongQuestionList;
    }

    public List<String> getRightQuestionIdList() {
        return rightQuestionIdList;
    }

    public void setRightQuestionIdList(List<String> rightQuestionIdList) {
        this.rightQuestionIdList = rightQuestionIdList;
    }

    public List<String> getWrongHowDetailIds() {
        return wrongHowDetailIds;
    }

    public void setWrongHowDetailIds(List<String> wrongHowDetailIds) {
        this.wrongHowDetailIds = wrongHowDetailIds;
    }

    public Integer getKnowledgeVersion() {
        return knowledgeVersion;
    }

    public void setKnowledgeVersion(Integer knowledgeVersion) {
        this.knowledgeVersion = knowledgeVersion;
    }
}